Subject: bug#27053: 26.0.50; x-show-tip gets wrong mouse position if frame moves w/o mouse moving on macOS

From: martin rudalics <[email-masked]>
Date: Thu, 25 May 2017 09:01:11 +0200

> I do not know what the best solution to this is. They could be stored
 > in screen local coordinates and converted to frame local as they're
 > needed, or they could be recalculated/asked for whenever the frame is
 > moved.

Both, X and Windows query the absolute mouse position here and the NS
code should do the same (just that I don't have any idea what the direct
NS equivalent for XQueryPointer/GetCursorPos is - it should be somehwere
hidden in ns_mouse_position's

       position = [[view window] mouseLocationOutsideOfEventStream];
       position = [view convertPoint: position fromView: nil];

but I'm too lazy to figure that out).  last_mouse_motion_x/_y are
conceptually reserved for note_mouse_movement and should not be used for
anything else (IMHO).

martin